program rhvals2

  implicit none
  real, dimension(10) :: rh = &
    (/ 77.2,88.1,69.1,47.2,94.2,74.5,77.1,50.1,91.1,84.4 /)

  call print_rh( rh )

  contains

  subroutine print_rh( rh )

!-- improved version:  use assumed-shape arrays instead!!

  real, dimension(:), intent(in) :: rh
  integer :: i

  do i = 1,size(rh)
    print *, rh(i)
  enddo

  end subroutine print_rh

end program rhvals2
